Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 5 reacties
Bron: PHP.net, submitter: chiel2002

Het was even doorzetten voor de ontwikkelaars van PHP, maar eindelijk is daar dan toch versie 4.3.3 van deze populaire Hypertext Preprocessor. Er is een hoop verbeterd, iedereen wordt aangeraden om te upgraden zodat er weer in alle veiligheid en met wat extra features aan websites gesleuteld kan worden:

  • Improved the engine to use POSIX/socket IO where feasible.
  • Fixed several potentially hazardous integer and buffer overflows.
  • Fixed corruption of multibyte character including 0x5c as second byte in multipart/form-data.
  • Fixed each() to be binary safe for keys.
  • Major improvements to the NSAPI SAPI.
  • Improvements to the IMAP extension.
  • Improvements to the InterBase extension.
  • Added DBA handler 'inifile' to support ini files.
  • Added long options into CLI & CGI (e.g. --version).
  • Added a new parameter to preg_match*() that can be used to specify the starting offset in the subject string to match from.
  • Upgraded the bundled Expat library to version 1.95.6
  • Upgraded the bundled PCRE library to version 4.3
  • Upgraded the bundled GD library to version GD 2.0.15
  • Over 100 various bug fixes!
[break]Wie graag precies wil weten wat er veranderd is mag dit changelog gaan doorlezen. Wie liever weer zo snel mogelijk aan het coden slaat moet hier klikken.
Moderatie-faq Wijzig weergave

Reacties (5)

Upgraded the bundled PCRE library to version 4.3. (Andrei)
Wat is het verschil met de oude PCRE library? Want PCRE was toch alle "preg_" gedoe ;)?
PCRE is idd voor de preg_ etc.

De verschillen zijn na te lezen in het PCRE Changelog :)
en dan te bedenken dat mijn host (digitalus *zucht*) nog met php 4.2.2 werkt :( |:(
Woei, eindelijk de final!!!

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True